
byte WIMod[256] ={ 

0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0}; 

//MAF voltages from 0 to 5 volts in .0196v increments. Pick a spot from your maf curve and then have WI PWM ramp up from there.
byte WGMod[256] = { 

0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0};
//256 increments from 0-5volts (-15psig to 30psig in .1765psi increments for 3bar MAP). Pick the max boost pressure and have the solenoid go all open (or all closed) at that and above. Ramp the PWM down as psi goes down. 
float pressure;



void setup()
{
 Serial.begin(9600);
TCCR1B = (TCCR1B & 0xF8) | 0x04;// Changes pins 9&10 to 122hz. Works well for fuel injectors
 TCCR1B = (TCCR1B & 0xF8) | 0x05;// Changes pins 11,12,&13 to 30hz works well for boost control solenoid.
 pinMode(10, OUTPUT); //preturbo injector
 pinMode(11, OUTPUT); //boost control solenoid
}

void loop()
{
  pressure = float(analogRead(1)>>2)/256*45 -15;//works for 3 bar map
  Serial.print(pressure);
  Serial.println(" Psi");
  analogWrite(10, WIMod[analogRead(0)]);//Pin 0 for 0-5 volt maf
  analogWrite(11, WGMod[analogRead(1)]);//pin 1 for 0-5 volt MAP 
  delay(2000);
   
}

